package ${basePackage}.action.api.system;

import ${basePackage}.frame.auth.LocalData;
import ${basePackage}.module.system.mgr.ResourceManager;
import ${basePackage}.module.system.req.*;
import ${basePackage}.module.system.rsp.*;
import org.springframework.beans.factory.annotation.Autowired;

public class ResourceApi{

    @Autowired
    private ResourceManager resourceManager;

    public ResourceCreateResponse create(ResourceCreateRequest request) {
        return resourceManager.create(request, LocalData.getToken());
    }

    public ResourceDeleteResponse delete(ResourceDeleteRequest request) {
        return resourceManager.delete(request, LocalData.getToken());
    }

    public ResourceUpdateResponse update(ResourceUpdateRequest request) {
        return resourceManager.update(request, LocalData.getToken());
    }

    public ResourceFindResponse find(ResourceFindRequest request) {
        return resourceManager.find(request, LocalData.getToken());
    }

    public ResourceGetResponse get(ResourceGetRequest request) {
        return resourceManager.get(request, LocalData.getToken());
    }
}
