package ${basePackage}.action.api.system;

import ${basePackage}.frame.auth.LocalData;
import ${basePackage}.module.system.mgr.RoleResourceManager;
import ${basePackage}.module.system.req.*;
import ${basePackage}.module.system.rsp.*;
import org.springframework.beans.factory.annotation.Autowired;

public class RoleResourceApi{

    @Autowired
    private RoleResourceManager roleResourceManager;

    public RoleResourceCreateResponse create(RoleResourceCreateRequest request) {
        return roleResourceManager.create(request, LocalData.getToken());
    }

    public RoleResourceDeleteResponse delete(RoleResourceDeleteRequest request) {
        return roleResourceManager.delete(request, LocalData.getToken());
    }

    public RoleResourceUpdateResponse update(RoleResourceUpdateRequest request) {
        return roleResourceManager.update(request, LocalData.getToken());
    }

    public RoleResourceFindResponse find(RoleResourceFindRequest request) {
        return roleResourceManager.find(request, LocalData.getToken());
    }

    public RoleResourceGetResponse get(RoleResourceGetRequest request) {
        return roleResourceManager.get(request, LocalData.getToken());
    }
}
