package ${basePackage}.module.system.req;

import ${basePackage}.frame.base.BaseFindRequest;
import ${basePackage}.frame.validation.Dict;

/**
 * ResourceRequest -  资源查询
 *
 * @author author
 * @version 0.0.1
 * @since 2017-01-01
 */
public class ResourceFindRequest extends BaseFindRequest {

    /**
     * 资源内容
     */
    private String value;

    /**
     * 资源描述
     */
    private String comment;

    /**
     * 资源类型
     */
    @Dict(name = "RESOURCE_TYPE")
    private String resourceType;

    /**
     * 是否有效
     */
    private Boolean valid;

    /**
     * 是否节点
     */
    private Boolean node;

    /**
     * 上级主键
     */
    private Long supId;

    public String getValue() {
        return this.value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getComment() {
        return this.comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }

    public String getResourceType() {
        return this.resourceType;
    }

    public void setResourceType(String resourceType) {
        this.resourceType = resourceType;
    }

    public Boolean getValid() {
        return this.valid;
    }

    public void setValid(Boolean valid) {
        this.valid = valid;
    }

    public Boolean getNode() {
        return this.node;
    }

    public void setNode(Boolean node) {
        this.node = node;
    }

    public Long getSupId() {
        return this.supId;
    }

    public void setSupId(Long supId) {
        this.supId = supId;
    }
}