package ${basePackage}.module.system.req;

import ${basePackage}.frame.base.BaseUpdateRequest;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import javax.validation.constraints.NotEmpty;

/**
 * UserRoleUpdateRequest - 用户角色授权更新
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2017-01-01
 */
public class  UserRoleUpdateRequest extends BaseUpdateRequest {

    /**
     * 主键
     */
    @NotNull(message = "[id]主键不能为NULL")
    private Long id;

    /**
     * 用户主键
     */
    @NotNull(message = "[userId]用户主键不能为NULL")
    private Long userId;

    /**
     * 角色主键
     */
    @NotNull(message = "[roleId]角色主键不能为NULL")
    private Long roleId;

    public Long getId() {
        return this.id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getUserId() {
        return this.userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getRoleId() {
        return this.roleId;
    }

    public void setRoleId(Long roleId) {
        this.roleId = roleId;
    }
}
